[**@rxap/data-source v19.1.1-dev.0**](../README.md)

***

[@rxap/data-source](../globals.md) / RxapPipeDataSource

# Function: RxapPipeDataSource()

> **RxapPipeDataSource**(`metadata`, `className`, `packageName`): (`target`) => `void`

Defined in: [packages/angular/data-source/src/lib/pipe.data-source.ts:39](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/pipe.data-source.ts#L39)

## Parameters

### metadata

[`PipeDataSourceMetadata`](../interfaces/PipeDataSourceMetadata.md)

### className

`string` = `'PipeDataSource'`

### packageName

`string` = `'@rxap/data-source'`

## Returns

`Function`

### Parameters

#### target

`Constructor`\<[`PipeDataSource`](../classes/PipeDataSource.md)\<`any`, `any`\>\>

### Returns

`void`
